AOL Radio browser plugin update fails in FF 3 Beta 3

RESOLVED INCOMPLETE

Status

Tech Evangelism Graveyard
English US
RESOLVED INCOMPLETE
10 years ago
3 years ago

People

(Reporter: Boris, Unassigned)

Tracking

Details

(URL)

Attachments

(1 attachment)

(Reporter)

Description

10 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9b3) Gecko/2008020514 Firefox/3.0b3
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9b3) Gecko/2008020514 Firefox/3.0b3

You are trying to listen mp3stream from:
http://music.aol.com/radioguide/bb
Immediately you are prompted to update your browser plug-in.
Trying to do so gives you Malformed file error.

Tested with FF 2.0.0.9 the upgraded to FF 2.0.0.12.
Updating web browser plugin for AOL Radio works just fine.
Looks like regression bug.

Wasn't able to find this bug in https://bugzilla.mozilla.org/



Reproducible: Always

Steps to Reproduce:
1.Copy-paste to FF browser:
http://music.aol.com/radioguide/bb
2.You are prompted to update your browser plug-in
3. Click Continue
4. Click Install now on Software Installation dialog.
Actual Results:  
You get Malformed file Error dialog.

Error Details:
Firefox could not install the file at 

http://radaol-prod-web-rr.streamops.aol.com/mediaplugin/3.0.84.2/win32/unagix3.0.84.2.xpi

because: Unexpected installation error
Review the Error Console log for more details.
-203

Expected Results:  
It should successfully install and update you web browser plug-in.
(Reporter)

Comment 1

10 years ago
Created attachment 306561 [details]
Error Details
Apparently the problem is that installs.js installs are no longer supported in Firefox 3. AOL will need to update their xpi.

For reference, bug 401624, bug 406807.
Component: Software Update → Extension Compatibility
QA Contact: software.update → extension.compatibility
Correct, they need to include install.rdf
Assignee: nobody → english-us
Status: UNCONFIRMED → NEW
Component: Extension Compatibility → English US
Ever confirmed: true
Product: Firefox → Tech Evangelism
QA Contact: extension.compatibility → english-us

Comment 4

7 years ago
INCOMPLETE due to lack of activity since the end of 2009.

If someone is willing to investigate the issues raised in this bug to determine whether they still exist, *and* work with the site in question to fix any existing issues, please feel free to re-open and assign to yourself.

Sorry for the bugspam; filter on "NO MORE PRE-2010 TE BUGS" to remove.
Status: NEW → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → INCOMPLETE
Product: Tech Evangelism → Tech Evangelism Graveyard
You need to log in before you can comment on or make changes to this bug.